package com.yonge.cooleshow.cms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-25
 */
@ApiModel("app首页查询参数")
public class AppParam {

    @ApiModelProperty(value = "版本号",required = true)
    private String version;

    @ApiModelProperty(value = "平台",required = true)
    private String platform;

    @ApiModelProperty("老师端：TEACHER 学生端：STUDENT")
    private String clientType;

    @ApiModelProperty("个人资讯条数 默认10条")
    private int newsLimit = 10;

    public int getNewsLimit() {
        return newsLimit;
    }

    public void setNewsLimit(int newsLimit) {
        this.newsLimit = newsLimit;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
